package com.zhyc.module.dairyProducts.service;

import com.zhyc.module.dairyProducts.domain.NpSheepMilkAnalysis;
import java.util.List;

public interface INpSheepMilkAnalysisService {

    NpSheepMilkAnalysis selectNpSheepMilkAnalysisBySheepId(String sheepId);

    List<NpSheepMilkAnalysis> selectNpSheepMilkAnalysisList(NpSheepMilkAnalysis analysis);

    /**
     * 导出奶产量分析记录
     */
    List<NpSheepMilkAnalysis> selectNpSheepMilkAnalysisForExport(NpSheepMilkAnalysis analysis);

}